View Issue Details

IDProjectCategoryView StatusLast Update
0005898TalerWeb site(s)public2020-10-22 11:15
Reporternikita Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0005898: improve buildbot jobs for www and stage
DescriptionAt the very least the builds for the www and stage are not good.

> builds need to be 1.) idempotent 2.) ephemeral 3.) self-contained
as suggested and observed by myself and Devan.

Right now them not being any of this lead to yet another series of commits which not only on my computers is not fully
rendered as it should be.
TagsNo tags attached.

Activities

Christian Grothoff

2020-10-22 11:14

manager   ~0017034

I've modified the site builder to:
- always build from scratch (=> idempotent)
- kill everything before and after (=> ephemeral)
- use two 'mv' commands to swap old and new site (=> as atomic as it gets)
So from my point of view, this is fixed.

Issue History

Date Modified Username Field Change
2019-09-17 21:16 nikita New Issue
2019-09-17 21:16 nikita Status new => assigned
2019-09-17 21:16 nikita Assigned To => nikita
2019-09-17 21:31 nikita Description Updated View Revisions
2020-05-05 09:54 nikita Assigned To nikita =>
2020-05-05 11:06 Christian Grothoff Status assigned => confirmed
2020-08-29 00:04 Christian Grothoff Assigned To => Christian Grothoff
2020-08-29 00:04 Christian Grothoff Status confirmed => assigned
2020-10-22 11:14 Christian Grothoff Status assigned => resolved
2020-10-22 11:14 Christian Grothoff Resolution open => fixed
2020-10-22 11:14 Christian Grothoff Fixed in Version => 0.8
2020-10-22 11:14 Christian Grothoff Note Added: 0017034
2020-10-22 11:15 Christian Grothoff Product Version => git (master)
2020-10-22 11:15 Christian Grothoff Target Version => 0.8